Download an attachment
GET
/api/v1/attachments/{attachment_uuid}/download
operationId: attachment.download
Base: https://portal.watcheye.com.au/api/v1/attachments/{attachment_uuid}/download
Returns the contents of an attachment as raw bytes, with the file's type in Content-Type and
its name in Content-Disposition. The sha256 in the attachment's details can be used to check
the download.
Path parameters
| Field | Description |
|---|---|
attachment_uuidrequired |
string (uuid) The attachment UUID |
Responses
200
The file contents, returned as raw bytes
application/octet-stream
application/pdf
image/jpeg
Binary PDF file